
#ifndef __SYSTEM_H
#define __SYSTEM_H

#define CLOCK 19660800UL

#include "waitloop.h"

//

void system_init();

//

unsigned long get_tick_count();
void set_time(unsigned long s, unsigned short ms);
unsigned long get_time();

//

void sleep(unsigned long ms);

//

void wait_us(unsigned int us);
void wait1ms();
void wait_ms(unsigned int ms);
void wait50us();

#endif
