
#ifndef __LCD_H
#define __LCD_H

void lcd_set_rs(int f);
void lcd_set_e(int f);
void lcd_set_d4(int f);
void lcd_set_d5(int f);
void lcd_set_d6(int f);
void lcd_set_d7(int f);

void lcd_locate(int x, int y);
void lcd_write_character(char c);
void lcd_cls();
void lcd_newline();
void lcd_putc(char c);
void lcd_print(char const *p);
void lcd_println(char const *p);
void lcd_init(int width, int height);

#endif