
#include <avr/io.h>
#include "lcd.h"

void lcd_set_rs(int f)
{
	if (f) {
		PORTC |= 0x20;
	} else {
		PORTC &= ~0x20;
	}
}

void lcd_set_e(int f)
{
	if (f) {
		PORTC |= 0x10;
	} else {
		PORTC &= ~0x10;
	}
}

void lcd_set_d4(int f)
{
	if (f) {
		PORTC |= 0x08;
	} else {
		PORTC &= ~0x08;
	}
}

void lcd_set_d5(int f)
{
	if (f) {
		PORTC |= 0x04;
	} else {
		PORTC &= ~0x04;
	}
}

void lcd_set_d6(int f)
{
	if (f) {
		PORTC |= 0x02;
	} else {
		PORTC &= ~0x02;
	}
}

void lcd_set_d7(int f)
{
	if (f) {
		PORTC |= 0x01;
	} else {
		PORTC &= ~0x01;
	}
}


